<?php
// phpcs:ignoreFile -- this file is autogenerated.

declare(strict_types=1);

use DrupalFinder\DrupalFinder;
use DrupalRector\Set\Drupal9SetList;
use Rector\Config\RectorConfig;
use Rector\Core\ValueObject\PhpVersion;
use Rector\Set\ValueObject\LevelSetList;
use Rector\Set\ValueObject\SetList;

return static function (RectorConfig $rectorConfig): void {
  $rectorConfig->sets([
    Drupal9SetList::DRUPAL_9,
    LevelSetList::UP_TO_PHP_74,
    SetList::TYPE_DECLARATION_STRICT,
    SetList::CODE_QUALITY,
    SetList::EARLY_RETURN,
    SetList::DEAD_CODE
  ]);

  $parameters = $rectorConfig->parameters();

  $drupalFinder = new DrupalFinder();
  $drupalFinder->locateRoot(__DIR__);
  $drupalRoot = $drupalFinder->getDrupalRoot();
  $rectorConfig->autoloadPaths([
    $drupalRoot . '/core',
    $drupalRoot . '/modules',
    $drupalRoot . '/themes'
  ]);

  $rectorConfig->fileExtensions(['php', 'module', 'theme', 'install', 'profile', 'inc', 'engine']);
  $rectorConfig->importNames(true, false);
  $rectorConfig->importShortClasses(false);
  $parameters->set('drupal_rector_notices_as_comments', true);

  $rectorConfig->paths([
    __DIR__ . '/profile/'
  ]);
  $rectorConfig->phpstanConfig(
    __DIR__ . '/phpstan.neon'
  );
  $rectorConfig->phpVersion(
    PhpVersion::PHP_74
  );

  $rectorConfig->skip([
      \Rector\CodeQuality\Rector\PropertyFetch\ExplicitMethodCallOverMagicGetSetRector::class => [
        __DIR__  . '/profile/'
      ],
      \Rector\CodeQuality\Rector\Array_\CallableThisArrayToAnonymousFunctionRector::class => [
        __DIR__ . '/profile/'
      ],
      __DIR__ . '/profile/modules/custom/openculturas_custom/src/Plugin/DateAugmenter/AddToCal.php',
      __DIR__ . '/profile/modules/custom/geofield_proximity_filter_extra/src/Controller/AutocompleteFiltersController.php'
  ]);

};
